
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：风险记录明细表相关设施
    /// </summary>
    [Description("导航属性：风险记录明细表相关设施")]
    public class T_HM_RISK_RECORD_DETAIL_FACILITIES : MesEntityBase
    {
        /// <summary>
        /// 风险记录明细表ID
        /// </summary>
        [Description("风险记录明细表ID")]
        [DataFieldForeignKey("Nav_RiskRecordDetail", "Nav_EvaluateRiskRecordFacilities")]

        public Guid RISK_RECORD_DETAIL_ID { get; set; }

        /// <summary>
        /// 相关设施ID
        /// </summary>
        [Description("相关设施ID")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Facilities")]
        public Guid FACILITIES_ID { get; set; }

        /// <summary>
        /// 导航属性：风险记录明细表
        /// </summary>
        [Description("导航属性：风险记录明细表")]
        public T_HM_RISK_RECORD_DETAIL Nav_RiskRecordDetail { get; set; }

        /// <summary>
        /// 导航属性：相关设施
        /// </summary>
        [Description("导航属性：相关设施")]
        public T_HM_FACILITIES Nav_Facilities { get; set; }
    }
}
